import { terser } from "rollup-plugin-terser";
import serve from "rollup-plugin-serve";
import livereload from "rollup-plugin-livereload";

const isProduction = process.env.BUILD === "production";
console.log(
  `ROLLUP -- Building for ${isProduction ? "PRODUCTION" : "DEVELOPMENT"}`
);

const plugins = [];

if (isProduction) {
  plugins.push(terser());
} else {
  plugins.push(
    serve({ open: true, port: 8080, contentBase: "" }),
    livereload("dist")
  );
}

export default {
  input: "src/viewer2D.js",
  output: [
    {
      name: "viewer2d",
      file: "dist/viewer2D.js",
      format: "umd",
      sourcemap: !isProduction,
    },
    {
      file: "dist/viewer2D.esm.js",
      format: "es",
      sourcemap: !isProduction,
    },
  ],
  plugins,
};
